### Method

# Gck Object get_finish

#### Declaration [src]

    GckAttributes*
    gck_object_get_finish (
      GckObject* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Get the result of a get operation and return specified attributes from the object.

No extra references are added to the returned attributes pointer.

#### Parameters

`result` | `GAsyncResult`
| The result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckAttributes`
| The filled in attributes structure if successful or `NULL` if not successful.
| The caller of the method takes ownership of the data, and is responsible for freeing it.